swish-0.9.0.7: A semantic web toolkit.

Portability | OverloadedStrings
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | None

Swish.RDF.Vocabulary.Geo

Contents

- Classes
- Properties

Description

This module defines some commonly used vocabulary terms from the Geo vocabulary (http://www.w3.org/2003/01/geo/, WGS84 Geo Positioning: an RDF vocabulary).

Note that unlike some of the existing vocabularies in Swish, the Geo one matches the case and spelling of the RDF terms; so we use `geolat` rather than `geoLat`.

Synopsis

- namespaceGEO :: Namespace
- geoSpatialThing :: ScopedName
- geoPoint :: ScopedName
- geolocation :: ScopedName
- geolat :: ScopedName
- geolong :: ScopedName
- geolat_long :: ScopedName

# Documentation

namespaceGEO :: Namespace Source

Maps `geo` to http://www.w3.org/2003/01/geo/wgs84_pos#.

# Classes

geoSpatialThing :: ScopedName Source

`geo:SpatialThing`.

geoPoint :: ScopedName Source

`geo:Point`.

# Properties

geolocation :: ScopedName Source

`geo:location`.

geolat :: ScopedName Source

`geo:lat`.

geolong :: ScopedName Source

`geo:long`.

geolat_long :: ScopedName Source

`geo:lat_long` (it is suggested that this not be used when generating RDF statements).